#include <stdio.h>
#include <signal.h>

main()
{
   int i=10;
   signal(SIGINT,SIG_IGN);
   printf("waiting for signal...\n");
   while(i>0)
   {
	sleep(1);
	i--;
	printf("Now you can't stop this program by Ctrl+c!\n");
   }
}
